PersistenceContextInterceptorExecutor (Grails 6.0.0)

Package: grails.persistence.support

## [Groovy] Class PersistenceContextInterceptorExecutor

- grails.persistence.support.PersistenceContextInterceptorExecutor

-     @groovy.transform.CompileStatic
      class PersistenceContextInterceptorExecutor
      extends java.lang.Object

  Executes persistence context interceptors phases.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Collection<PersistenceContextInterceptor>` | `persistenceContextInterceptors` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Collection<PersistenceContextInterceptor>` | `persistenceContextInterceptors`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PersistenceContextInterceptorExecutor (java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `destroyPersistenceContext()`
    `` | `static void` | `destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)`
    `` | `private static void` | `destroyPersistenceContextInternal(java.util.Collection<PersistenceContextInterceptor> interceptors)`
    `` | `void` | `initPersistenceContext()`
    `` | `static void` | `initPersistenceContext(org.springframework.context.ApplicationContext appCtx)`
    `` | `private static void` | `initPersistenceContextInternal(java.util.Collection<PersistenceContextInterceptor> interceptors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors

  - ### Property Detail

    - #### java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors

  - ### Constructor Detail

    - #### PersistenceContextInterceptorExecutor(java.util.Collection<PersistenceContextInterceptor> persistenceContextInterceptors)

  - ### Method Detail

    - #### void destroyPersistenceContext()

    - #### static void destroyPersistenceContext(org.springframework.context.ApplicationContext appCtx)

    - #### private static void destroyPersistenceContextInternal(java.util.Collection<PersistenceContextInterceptor> interceptors)

    - #### void initPersistenceContext()

    - #### static void initPersistenceContext(org.springframework.context.ApplicationContext appCtx)

    - #### private static void initPersistenceContextInternal(java.util.Collection<PersistenceContextInterceptor> interceptors)